/*
 * line.h: Class representing a file line for indigo,
 * a program to insert index entries into LaTeX documents
 *
 * Version 1.1b
 * Last Change: 23 July, 2010
 *
 *
 * Copyright (C) 2009, 2010
 *
 * Andrew D. Hwang (DP: adhere)
 * Department of Mathematics and Computer Science
 * College of the Holy Cross
 * Worcester, MA, 01610-2395, USA
 *
 *
 * indigo is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * indigo is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with pglatex; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef DP_INDIGO_LINE
#define DP_INDIGO_LINE

#include <list>
#include <string>
#include <fstream>

// line of a file
class line {
 public:
  line(const std::string&);

  int mark(const std::string& replace); // force
  int mark(const std::string& search, const std::string& replace);

  void write(std::ofstream& output) const;

 private:
  std::string m_data; // includes eol
  std::string m_eol; // our end-of-line char(s)
  std::list<std::string> m_tags;
}; // end of line class

#endif /* DP_INDIGO_LINE */
