/*
 * log_line.h: Warning message class for indigo,
 * a program to insert index entries into LaTeX documents
 *
 * Version 1.1
 * Last Change: 11 January, 2010
 *
 *
 * Copyright (C) 2009, 2010
 *
 * Andrew D. Hwang (DP: adhere)
 * Department of Mathematics and Computer Science
 * College of the Holy Cross
 * Worcester, MA, 01610-2395, USA
 *
 *
 * indigo is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * indigo is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with pglatex; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef DP_INDIGO_LOG_LINE
#define DP_INDIGO_LOG_LINE

#include <string>

class log_line {
 public:
  log_line(const std::string&); // warnings needn't pass line number
  log_line(unsigned int, const std::string&); // errors pass line number

  unsigned int lineno() const;
  std::string write() const;

  bool operator< (const log_line&) const;

 private:
  unsigned int m_lineno;
  std::string m_msg;
}; // end of log_line class

#endif /* DP_INDIGO_LOG_LINE */
